unbounded-delays-0.1.0.9: Unbounded thread delays and timeouts

Copyright | 2011 Bas van Dijk & Roel van Dijk
License | BSD3 (see the file LICENSE)
Maintainer | Bas van Dijk <v.dijk.bas@gmail.com> , Roel van Dijk <vandijk.roel@gmail.com>
Safe Haskell | Safe
Language | Haskell98

Control.Concurrent.Thread.Delay

Description

Arbitrarily long thread delays.

Synopsis

- delay :: Integer -> IO ()

# Documentation

delay :: Integer -> IO () #

Like `Control.Concurrent.`threadDelay``, but not bounded by an `Int`.

Suspends the current thread for a given number of microseconds (GHC only).

There is no guarantee that the thread will be rescheduled promptly when the delay has expired, but the thread will never continue to run earlier than specified.